Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

Retrieve users that have specific individual access to calls (/v2/calls/users-access)

Prev Next
Post
/v2/calls/users-access

Returns a list of users who have received individual access to calls through the API.

This endpoint doesn't cover user that have access for other reasons (such as sharing recipients, or access through permission profiles).

Required authorizaton scope: 'api:call-user-access:read'.

Body parameters
Expand All
object
filter
object (CallsAccessGetDto) Required
callIds
Array of string Required

Array of Gong's unique numeric call IDs.

Example[ "7782342274025937895" ]
string
Responses
200

Successful request

Expand All
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
callAccessList
Array of object (CallAccessDetails)

A list, in which each item specifies a call & users with access to this call.

object

Call access details

callId
string

Gong's unique numeric call ID.

Example7782342274025937895
users
Array of object (UserAccessDetails)

A list of users having access.

object

User access details

userId
string

Gong's unique numeric user ID.

Example234599484848423
400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Access denied

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string